cppcms::filters Namespace Reference

This namespace various filters that can be used in templates for filtering data. More...

## Classes

class | streamable
| A special proxy object for writing any object to a std::ostream. More...
class | to_upper
| Output filter to_upper. More...
class | to_lower
| Output filter to_lower. More...
class | to_title
| Output filter to_title. More...
class | escape
| Output filter escape. More...
class | urlencode
| Output filter urlencode. More...
class | base64_urlencode
| Output filter base64_urlencode. More...
class | raw
| Output filter raw. More...
class | date
| Formats date to the stream, date is represented as number - POSIX time, a plain number. More...
class | time
| Format local time to ouput stream. More...
class | datetime
| Format date and time to ouput stream. More...
class | strftime
| Custom time formating filter. More...

## Functions

std::ostream & | operator<< (std::ostream &out, to_upper const &obj)
std::ostream & | operator<< (std::ostream &out, to_lower const &obj)
std::ostream & | operator<< (std::ostream &out, to_title const &obj)
std::ostream & | operator<< (std::ostream &out, escape const &obj)
std::ostream & | operator<< (std::ostream &out, urlencode const &obj)
std::ostream & | operator<< (std::ostream &out, base64_urlencode const &obj)
std::ostream & | operator<< (std::ostream &out, raw const &obj)
std::ostream & | operator<< (std::ostream &out, date const &obj)
std::ostream & | operator<< (std::ostream &out, time const &obj)
std::ostream & | operator<< (std::ostream &out, datetime const &obj)
std::ostream & | operator<< (std::ostream &out, strftime const &obj)

## Detailed Description

This namespace various filters that can be used in templates for filtering data.